org.apache.ode.bpel.iapi

## Enum ProcessState

- java.lang.Object
- - java.lang.Enum<ProcessState>
  - - org.apache.ode.bpel.iapi.ProcessState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProcessState>

      public enum ProcessState
      extends java.lang.Enum<ProcessState>

  The user-selectable states of a process in the configuration store.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` Process can create new instances and execute old instances.
    `DISABLED` Process cannot exeucte old nor create new instances.
    `RETIRED` Process can execute old instances, but cannot create new instances.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final ProcessState ACTIVE

      Process can create new instances and execute old instances.

    - #### RETIRED

          public static final ProcessState RETIRED

      Process can execute old instances, but cannot create new instances.

    - #### DISABLED

          public static final ProcessState DISABLED

      Process cannot exeucte old nor create new instances.

  - ### Method Detail

    - #### values

          public static ProcessState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessState c : ProcessState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null